Subject: bug#65049: Minor update to the repro steps

From: Maxim Kim <[email-masked]>
Date: Fri, 4 Aug 2023 21:24:03 +1000

On Fri, Aug 4, 2023 at 9:05 PM Eli Zaretskii <[email-masked]> wrote:

>  I cannot reproduce the problem.  I get the expected behavior: the
>  changes are committed.  Are you sure your recipe is complete?  Do you
>  have any Git customizations, either in that repository or in your
>  system-wide ~/.gitconfig etc.?

I don't have any Git customization in that repo (I tried in several
different repos).
System-wide ~/.gitconfig is:

[user]
name = Maxim Kim
email = [email-masked]
[core]
autocrlf = input
quotepath = off
[credential]
helper = libsecret
[commit]
verbose = true
[pull]
rebase = true
[github]
user = habamax

>  If you have no customizations, please tell more about the recipe, in
>  particular please describe exactly what you see at every step of the
>  recipe.  For example, after "C-x v D" I see the diffs of the single
>  file that is modified in the repository -- is that what you see as
>  well?

Yes I can see diffs of a single or multiple files (in the recipe I had a
single
file with a single diff).

Basically
> 0. ./runemacs.exe -Q
default emacs is opened

> 1. navigate to a dirty git repo
> 2. C-x v D
I can see a single file with a single diff

> 3. Press C-x v v

*vc-log* and *vc-log-files* windows are opened

> 4. Add commit message
add Summary only

> 5. Press C-c C-c

Get the error described in initial message.

Once I am back to my windows laptop, will record a anigif and attach to
mail.

>  FTR: I have the HOME environment variable defined on my Windows system
>  that points to my home directory -- maybe the problem is somehow
>  related to what Emacs considers HOME on Windows when there's no such
>  variable defined? does the directory ../AppData/Local/Temp/ actually
>  exist on your system (and why does Emacs use a relative file name for
>  it, anyway)?

I have also defined HOME as C:/Users/maxim.kim (and it worked for 28.2). I
should probably install 28.2 again and check if it still works.

I am not sure if ../AppData/Local/Temp/ exists as I didn't check what is
default-directory at that moment. But C:/Users/maxim.kim/AppData/Local/Temp/
exists and I've seen other temp files there that looked like emacs+git
related,
smth with MSG in name.

I am not sure why Emacs use relative file name here to be honest.

>  If nothing else gives a clue, please step in Edebug through the
>  relevant code and tell which commands fail, and why (show the values
>  of the relevant variables).

Will check how to use Edebug, thank you!